Description

the default pxe template in foreman 1.4 creates the boot profiles URL based upon the state of the actual web interface page used to

generate it,

eg:

if the user is viewing

https://foreman-host/config_templates then the default pxe parameters are generated in the pxelinux default config  as

LABEL test - test/virtual

kernel boot/CentOS-6.5-x86_64-vmlinuz

append initrd=boot/CentOS-6.5-x86_64-initrd.img ks=https://foreman-host/unattended/template/test/virtual ksdevice=bootif network

kssendmac

which doesn't work as the kickstart connection will try to be made on https, which requires a valid SSL certificate.

if the user generates the pxe menu with the web url

http://foreman-host/config_templates

then the pxe menu will be generated thus

LABEL test - test/virtual

kernel boot/CentOS-6.5-x86_64-vmlinuz

append initrd=boot/CentOS-6.5-x86_64-initrd.img ks=http://foreman-host/unattended/template/test/virtual ksdevice=bootif network

kssendmac

to get the kickstart functioning on http - not https I have to set " :require_ssl: false " in /etc/foreman/settings.yaml

which is a security risk and a bit of a dirty hack.

the functionality should be that kickstart/build process is always done over http, unless https is configured for build operations in the

unattended_url parameter.

Related issues:

Related to Foreman - Bug #8228: default_template_url removed from API control... Closed 10/31/2014

Related to Foreman - Bug #9773: Default profiles templates create invalid URL's Closed 03/16/2015

Has duplicate Foreman - Bug #6833: PXE default menu doesn't honour unattended... Duplicate 07/30/2014

Has duplicate Foreman - Bug #7318: Hostgroup provisioning provides HTTPS URL Duplicate 09/01/2014

Associated revisions

Revision 0e3d0658 - 10/31/2014 07:07 AM - Stephen Benjamin

fixes #4463 - use unattended URL for hostgroup provisioning
Revision 92ba1087 - 12/15/2014 10:00 AM - Stephen Benjamin

fixes #4463 - use unattended URL for hostgroup provisioning

(cherry picked from commit 0e3d065853992a67ab35f3d0a2747d36a766ab24)

History

#1 - 02/26/2014 02:30 PM - Dominic Cleal

- Subject changed from kickstart templates default to https:// connection to Default profiles templates default to https:// connection for kickstart

- translation missing: en.field_release deleted (7)

Note, this is the PXE default menu list of hostgroup profiles, not the usual per-host templates.

#2 - 02/26/2014 07:40 PM - Greg Sutcliffe

The profile code is very old, and pretty unmaintained. Should we consider removing it? I think it's main application could be adequately handled by

Discovery these days...

Failing that, it seems default_pxe_template() is a pretty old helper. Given we already have two copies of foreman_url(), I think we should merge all of

this into one url-writer for templates that takes a variety of options.

#3 - 02/27/2014 10:05 AM - Dominic Cleal

I think it should be fixed, not removed.

#4 - 07/30/2014 05:41 AM - Dominic Cleal

- Has duplicate Bug #6833: PXE default menu doesn't honour unattended_url setting added

#5 - 07/30/2014 05:41 AM - Dominic Cleal

- Bugzilla link set to 1124386

#6 - 09/01/2014 08:40 AM - Dominic Cleal

- Has duplicate Bug #7318: Hostgroup provisioning provides HTTPS URL added

#7 - 10/14/2014 12:54 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.7.2

- Pull request https://github.com/theforeman/foreman/pull/1859 added

#8 - 10/31/2014 08:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0e3d065853992a67ab35f3d0a2747d36a766ab24.

#9 - 10/31/2014 08:07 AM - Dominic Cleal

- Related to Bug #8228: default_template_url removed from API controllers, causes PXE menu build failure added

#10 - 10/31/2014 08:08 AM - Dominic Cleal

- Assignee set to Stephen Benjamin

- translation missing: en.field_release set to 28

More likely in 1.7.x subject to #8228 being resolved.

#11 - 12/05/2014 03:27 AM - Dominic Cleal

- translation missing: en.field_release changed from 28 to 29

#12 - 03/16/2015 04:45 AM - Stephen Benjamin

- Bugzilla link deleted (1124386)
#13 - 03/16/2015 04:47 AM - Stephen Benjamin

- Related to Bug #9773: Default profiles templates create invalid URL's added
